Skip to main content
POST
/
api
/
v2
/
subscriptions
/
{subReferenceId}
/
charge-retry
Retry Subscription Charge
curl --request POST \
  --url https://sandbox.cashfree.com/api/v2/subscriptions/{subReferenceId}/charge-retry \
  --header 'Content-Type: application/json' \
  --header 'X-Client-Id: <x-client-id>' \
  --header 'X-Client-Secret: <x-client-secret>' \
  --data '
{
  "nextScheduledOn": "2021-12-17"
}
'
{ "status": "OK", "subStatus": "ON_HOLD", "payment": { "paymentId": 3293789, "amount": 1, "status": "PENDING", "addedOn": "2021-12-17 08:41:30", "retryAttempts": 2 } }

Documentation Index

Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Client-Id
string
required

Client ID provided by Cashfree.

Example:

"asdf1234"

X-Client-Secret
string
required

Client Secret provided by Cashfree.

Example:

"qwer9876"

Path Parameters

subReferenceId
integer
required

The reference ID of the subscription to retry the charge.

Example:

2646214

Body

application/json
nextScheduledOn
string<date>

Date for the next scheduled retry.

Example:

"2021-12-17"

Response

Successful retry of the subscription charge.